Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_WIN32_Asynch_Operation Class Reference

This class abstracts out the common things needed for implementing Asynch_Operation for WIN32 platform. More...

`#include <WIN32_Asynch_IO.h>`

Inheritance diagram for ACE_WIN32_Asynch_Operation:

[legend]
Collaboration diagram for ACE_WIN32_Asynch_Operation:

[legend]
List of all members.

## Public Methods
int | open (ACE_Handler &handler, ACE_HANDLE handle, const void *completion_key, ACE_Proactor *proactor)
int | cancel (void)
ACE_Proactor * | proactor (void) const
| Return the underlying proactor. More...
## Protected Methods
| ACE_WIN32_Asynch_Operation (ACE_WIN32_Proactor *win32_proactor)
| Constructor. More...
virtual | ~ACE_WIN32_Asynch_Operation (void)
| Destructor. More...
## Protected Attributes
ACE_WIN32_Proactor * | win32_proactor_
| Win32 Proactor. More...
ACE_Proactor * | proactor_
| Proactor that this asynch IO is registered with. More...
ACE_Handler * | handler_
| Handler that will receive the callback. More...
ACE_HANDLE | handle_
| I/O handle used for reading. More...

## Detailed Description

This class abstracts out the common things needed for implementing Asynch_Operation for WIN32 platform.

## Constructor & Destructor Documentation

ACE_WIN32_Asynch_Operation::ACE_WIN32_Asynch_Operation | ( | ACE_WIN32_Proactor * | win32_proactor | ) | `[protected]`

| Constructor.

ACE_WIN32_Asynch_Operation::~ACE_WIN32_Asynch_Operation | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

int ACE_WIN32_Asynch_Operation::cancel | ( | void |  | ) | `[virtual]`

| This cancels all pending accepts operations that were issued by the calling thread. The function does not cancel asynchronous operations issued by other threads. Reimplemented from ACE_Asynch_Operation_Impl. Reimplemented in ACE_WIN32_Asynch_Read_Stream, ACE_WIN32_Asynch_Write_Stream, ACE_WIN32_Asynch_Read_File, ACE_WIN32_Asynch_Write_File, ACE_WIN32_Asynch_Accept, ACE_WIN32_Asynch_Connect, ACE_WIN32_Asynch_Transmit_File, ACE_WIN32_Asynch_Read_Dgram, and ACE_WIN32_Asynch_Write_Dgram.

int ACE_WIN32_Asynch_Operation::open | ( | ACE_Handler & | handler,
|  | ACE_HANDLE | handle,
|  | const void * | completion_key,
|  | ACE_Proactor * | proactor
| ) | `[virtual]`

| Initializes the factory with information which will be used with each asynchronous call. If (<handle> == ACE_INVALID_HANDLE), <ACE_Handler::handle> will be called on the <handler> to get the correct handle. Reimplemented from ACE_Asynch_Operation_Impl. Reimplemented in ACE_WIN32_Asynch_Read_Stream, ACE_WIN32_Asynch_Write_Stream, ACE_WIN32_Asynch_Read_File, ACE_WIN32_Asynch_Write_File, ACE_WIN32_Asynch_Accept, ACE_WIN32_Asynch_Connect, ACE_WIN32_Asynch_Transmit_File, ACE_WIN32_Asynch_Read_Dgram, and ACE_WIN32_Asynch_Write_Dgram.

ACE_Proactor * ACE_WIN32_Asynch_Operation::proactor | ( | void |  | ) | const`[virtual]`

| Return the underlying proactor. Reimplemented from ACE_Asynch_Operation_Impl. Reimplemented in ACE_WIN32_Asynch_Read_Stream, ACE_WIN32_Asynch_Write_Stream, ACE_WIN32_Asynch_Read_File, ACE_WIN32_Asynch_Write_File, ACE_WIN32_Asynch_Accept, ACE_WIN32_Asynch_Connect, ACE_WIN32_Asynch_Transmit_File, ACE_WIN32_Asynch_Read_Dgram, and ACE_WIN32_Asynch_Write_Dgram.

## Member Data Documentation

ACE_HANDLE ACE_WIN32_Asynch_Operation::handle_`[protected]`

| I/O handle used for reading.

ACE_Handler* ACE_WIN32_Asynch_Operation::handler_`[protected]`

| Handler that will receive the callback.

ACE_Proactor* ACE_WIN32_Asynch_Operation::proactor_`[protected]`

| Proactor that this asynch IO is registered with.

ACE_WIN32_Proactor* ACE_WIN32_Asynch_Operation::win32_proactor_`[protected]`

| Win32 Proactor.

The documentation for this class was generated from the following files:

- WIN32_Asynch_IO.h
- WIN32_Asynch_IO.cpp